<<

# Bugzilla::Update

- NAME
- SYNOPSIS
- DESCRIPTION
- FUNCTIONS

# NAME

Bugzilla::Update - Update routines for Bugzilla

# SYNOPSIS

      use Bugzilla::Update;

      # Get information about new releases
      my $new_release = Bugzilla::Update::get_notifications();

# DESCRIPTION

This module contains all required routines to notify you about new releases. It downloads an XML file from bugzilla.org and parses it, in order to display information based on your preferences. Absolutely no information about the Bugzilla version you are running is sent to bugzilla.org.

# FUNCTIONS

`get_notifications()`

       Description: This function informs you about new releases, if any.

       Params:      None.

       Returns:     On success, a reference to a hash with data about
                    new releases, if any.
                    On failure, a reference to a hash with the reason
                    of the failure and the name of the unusable XML file.

<<